package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxRule;
import com.propertyManagement.business.domain.vo.WxRuleVo;
import com.propertyManagement.business.domain.bo.WxRuleBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 规则说明Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxRuleService {

    /**
     * 查询规则说明
     */
    WxRuleVo queryById(Long ruleId);

    /**
     * 查询规则说明列表
     */
    TableDataInfo<WxRuleVo> queryPageList(WxRuleBo bo, PageQuery pageQuery);

    /**
     * 查询规则说明列表
     */
    List<WxRuleVo> queryList(WxRuleBo bo);

    /**
     * 新增规则说明
     */
    Boolean insertByBo(WxRuleBo bo);

    /**
     * 修改规则说明
     */
    Boolean updateByBo(WxRuleBo bo);

    /**
     * 校验并批量删除规则说明信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
